SFPhotoBrowser
============================

A single ObjC class which let you browse full-size photos supporting zooming,paging,and smooth transforming animation between thumbnail imageviews.


![ScreenShot](https://raw.github.com/JagieChen/SFPhotoBrowser/master/snapshot1.PNG)
![ScreenShot](https://raw.github.com/JagieChen/SFPhotoBrowser/master/snapshot2.PNG)




Features
----------------
1.support smooth transforming animation between thumbnail imageviews.

2.support local or remote full-size photos

3.support cache of the full-size photos

4.support any device interface orientation and animate re-layout when orientation changes

5.double-tap to zoom in/out the clicked area of the full-size image

6.a single tap to shrink the full-size photo to it's original thumbnail imageview with animation

7.simple and friendly API 

8.this class using [AFNetworking](https://github.com/AFNetworking/AFNetworking) and [MBProgressHUD](https://github.com/jdg/MBProgressHUD) but you can easily remove the dependency.


Shortage
----------------
1.If the UIViewController containing the thumbnail image views changes it's interface orientation while the user is browsing full-size photos,then the user taps the current photo,the full-size photo just simply disappears without any transforming animation.It's a rare occasion,you can forbid the UIViewController to change interface orientation when presenting full-size photos.

2.The thumbnail image must have the same aspect ratio with the full-size image


3.Before calling the API,you must assure every thumbnail imageview's image property IS NOT nil,at lease it has a placeholder image,because the browser will calculate the aspect ratio of the thumbnail image.


4.Before you remove the dependency of AFNetworking and MBProgressHUD,you must manually download their code and add them to this Xcode project.


How to use
----------------
1.include AFNetworking and MBProgressHUD classes in your  your Xcode project.

2.include "SFPhotoBrowser.h" and "SFPhotoBrowser.m" in your Xcode project.

3.


    [SFPhotoBrowser animateShowBigPhotosFromThumbImageViews:self.view.subviews fromViewController:self bigPhotoesURL:self.fullImagesURLs curIndex:iv.tag didEndShowing:^{
            NSLog(@"SFPhotoesBrowser is showing");
            
    } didEndDismissing:^{
             NSLog(@"SFPhotoesBrowser is dismissed");
    }];



